Public Member Functions | Public Attributes | List of all members
libebook::IMPResourceDirImpl::ResourceInfo Struct Reference

## Public Member Functions
| ResourceInfo ()

## Public Attributes
unsigned | offset
unsigned | length
optional< string > | type

## Constructor & Destructor Documentation

## § ResourceInfo()

libebook::IMPResourceDirImpl::ResourceInfo::ResourceInfo | ( |  | ) |

## Member Data Documentation

## § length

unsigned libebook::IMPResourceDirImpl::ResourceInfo::length

Referenced by libebook::IMPResourceDirImpl::createStream(), and libebook::IMPResourceDirImpl::IMPResourceDirImpl().

## § offset

unsigned libebook::IMPResourceDirImpl::ResourceInfo::offset

Referenced by libebook::IMPResourceDirImpl::createStream(), libebook::IMPResourceDirImpl::findResourceByType(), and libebook::IMPResourceDirImpl::IMPResourceDirImpl().

## § type

optional<string> libebook::IMPResourceDirImpl::ResourceInfo::type

Referenced by libebook::IMPResourceDirImpl::findResourceByType(), and libebook::IMPResourceDirImpl::IMPResourceDirImpl().

The documentation for this struct was generated from the following file:

- IMPResourceDir.cpp